# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sites
Class ListPageEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.sites.BaseContentEntry<E>
                          com.google.gdata.data.sites.BasePageEntry<ListPageEntry>
                              com.google.gdata.data.sites.ListPageEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class ListPageEntry

extends BasePageEntry<ListPageEntry>

Describes a list page entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Listpage list page kind kind category.
`static java.lang.String` `KIND` Listpage list page kind kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ListPageEntry()` Default mutable constructor.
`ListPageEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getAtomAttachmentsLink()` Returns the attachments sites link.
`Link` `getAtomRepliesLink()` Returns the replies sites link.
`Data` `getData()` Returns the data region of a table.
`FeedLink` `getFeedLink()` Returns the A feedLink element representing the feed for list items in this page.
`Header` `getHeader()` Returns the header row.
`Link` `getHtmlAttachmentsLink()` Returns the attachments sites link.
`Link` `getHtmlRepliesLink()` Returns the replies sites link.
`Link` `getParentLink()` Returns the parent sites link.
`Worksheet` `getWorksheet()` Returns the worksheet where the table lives.
`boolean` `hasData()` Returns whether it has the data region of a table.
`boolean` `hasFeedLink()` Returns whether it has the A feedLink element representing the feed for list items in this page.
`boolean` `hasHeader()` Returns whether it has the header row.
`boolean` `hasWorksheet()` Returns whether it has the worksheet where the table lives.
`void` `setData(Data data)` Sets the data region of a table.
`void` `setFeedLink(FeedLink feedLink)` Sets the A feedLink element representing the feed for list items in this page.
`void` `setHeader(Header header)` Sets the header row.
`void` `setWorksheet(Worksheet worksheet)` Sets the worksheet where the table lives.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.sites.BasePageEntry
`getPageName, getTemplateLink, hasPageName, setPageName`

Methods inherited from class com.google.gdata.data.sites.BaseContentEntry
`getBatchId, getBatchInterrupted, getBatchOperation, getBatchStatus, getDeleted, getEntryPostLink, getPublisher, getRevision, getRevisionLink, hasBatchId, hasBatchInterrupted, hasBatchOperation, hasBatchStatus, hasDeleted, hasPublisher, hasRevision, setBatchId, setBatchInterrupted, setBatchOperation, setBatchStatus, setDeleted, setPublisher, setRevision`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Listpage list page kind kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Listpage list page kind kind category.

Constructor Detail

### ListPageEntry

    public ListPageEntry()

  Default mutable constructor.

### ListPageEntry

    public ListPageEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BasePageEntry<ListPageEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getData

    public Data getData()

  Returns the data region of a table.

  Returns:
    data region of a table

### setData

    public void setData(Data data)

  Sets the data region of a table.

  Parameters:
    `data` - data region of a table or `null` to reset

### hasData

    public boolean hasData()

  Returns whether it has the data region of a table.

  Returns:
    whether it has the data region of a table

### getFeedLink

    public FeedLink getFeedLink()

  Returns the A feedLink element representing the feed for list items in this page.

  Returns:
    A feedLink element representing the feed for list items in this page

### setFeedLink

    public void setFeedLink(FeedLink feedLink)

  Sets the A feedLink element representing the feed for list items in this page.

  Parameters:
    `feedLink` - A feedLink element representing the feed for list items in this page or `null` to reset

### hasFeedLink

    public boolean hasFeedLink()

  Returns whether it has the A feedLink element representing the feed for list items in this page.

  Returns:
    whether it has the A feedLink element representing the feed for list items in this page

### getHeader

    public Header getHeader()

  Returns the header row.

  Returns:
    header row

### setHeader

    public void setHeader(Header header)

  Sets the header row.

  Parameters:
    `header` - header row or `null` to reset

### hasHeader

    public boolean hasHeader()

  Returns whether it has the header row.

  Returns:
    whether it has the header row

### getWorksheet

    public Worksheet getWorksheet()

  Returns the worksheet where the table lives.

  Returns:
    worksheet where the table lives

### setWorksheet

    public void setWorksheet(Worksheet worksheet)

  Sets the worksheet where the table lives.

  Parameters:
    `worksheet` - worksheet where the table lives or `null` to reset

### hasWorksheet

    public boolean hasWorksheet()

  Returns whether it has the worksheet where the table lives.

  Returns:
    whether it has the worksheet where the table lives

### getAtomAttachmentsLink

    public Link getAtomAttachmentsLink()

  Returns the attachments sites link.

  Returns:
    Attachments sites link or `null` for none.

### getAtomRepliesLink

    public Link getAtomRepliesLink()

  Returns the replies sites link.

  Returns:
    Replies sites link or `null` for none.

### getHtmlAttachmentsLink

    public Link getHtmlAttachmentsLink()

  Returns the attachments sites link.

  Returns:
    Attachments sites link or `null` for none.

### getHtmlRepliesLink

    public Link getHtmlRepliesLink()

  Returns the replies sites link.

  Returns:
    Replies sites link or `null` for none.

### getParentLink

    public Link getParentLink()

  Returns the parent sites link.

  Returns:
    Parent sites link or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `BasePageEntry<ListPageEntry>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasePageEntry<ListPageEntry>`